package com.muyu.rule.server.service.impl;

import com.muyu.rule.common.utils.Desensitization;
import com.muyu.rule.server.service.SourceDisposeService;
import org.springframework.stereotype.Service;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.service.impl
 * @Project：cloud-etl-rule
 * @name：SourceDisposeServiceImpl
 * @Date：2024/8/27 21:52
 */
@Service
public class SourceDisposeServiceImpl implements SourceDisposeService {


    @Override
    public String dataGenerate(String dataSource) {

        String string = Desensitization.mobilePhoneDesensitization(dataSource);


        return string;
    }

    @Override
    public Boolean notEmpty(Object dataSource) {

        if (dataSource == null || "".equals(dataSource) || "null".equals(dataSource)) {
            return false;
        }

        return true;
    }

    @Override
    public String valueTest(Object object) {




        return null;
    }

}
